/* $Id: DumpAceBlock.c,v 1.1 1998/01/26 06:25:07 rgr Exp $ */

/* $RCSfile: DumpAceBlock.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/01/26 06:25:07 $ */
/* $Revision: 1.1 $ */

#include <sys/types.h>
#include <stdio.h>
#include "downlink/AceBlock.h"

#include "DumpDddHeader.h"
#include "DumpSfduLabel.h"
#include "DumpHeaderAggregation.h"
#include "DumpTelemetryChdo.h"

void DumpAceBlock(AceBlock *block)
{
   printf("\n\nSYNC - ");
   printf("%2.2x", block->sync[0]);
   printf("%2.2x", block->sync[1]);
   printf("%2.2x", block->sync[2]);
   printf("%2.2x", block->sync[3]);
   printf("\n\n");
   DumpDddHeader(block->DddHeader);
   printf("\n");
   DumpSfduLabel(block->SfduLabel);
   printf("\n");
   DumpHeaderAggregation(block->HeaderAggregation);
   printf("\n");
   DumpTelemetryChdo(&(block->telemetry));
   printf("\nDDD TRAILER - %2.2x%2.2x\n", block->DddTrailer[0],
                                             block->DddTrailer[1]);
}
