/* $Id: DumpClcw.c,v 1.1 1998/01/26 06:25:15 rgr Exp $ */

/* $RCSfile: DumpClcw.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/01/26 06:25:15 $ */
/* $Revision: 1.1 $ */

#include <sys/types.h>
#include <stdio.h>
#include "downlink/UnpackedClcw.h"

#include "UnpackClcw.h"

void DumpClcw(u_char *PackedClcw)
{
   UnpackedClcw clcw;

   UnpackClcw(PackedClcw, &clcw);
   printf("CLCW - %u Control Word Type", clcw.ControlWordType);
   printf("   %u Command Execution Counter",
                                         clcw.CommandExecutionCounter);
   printf("   %u Low Voltage Sense\n", clcw.LowVoltageSense);
   printf("%u Virtual Channel Identification",
                                    clcw.VirtualChannelIdentification);
   printf("    %u Command Reject", clcw.CommandReject);
   printf("    %u No RF", clcw.flag.NoRf);
   printf("    %u Bit Lock\n", clcw.flag.BitLock);
   printf("%u Lockout", clcw.flag.lockout);
   printf("    %u Wait", clcw.flag.wait);
   printf("    %u Retransmit", clcw.flag.retransmit);
   printf("    %u Farm B Counter", clcw.FarmBCounter);
   printf("    %u Autonomy Bin Firing\n", clcw.AutonomyBinFiring);
   printf("%u Report Value\n", clcw.ReportValue);
}
