/* $Id: DumpDddHeader.c,v 1.1 1998/01/26 06:25:30 rgr Exp $ */

/* $RCSfile: DumpDddHeader.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/01/26 06:25:30 $ */
/* $Revision: 1.1 $ */

#include <sys/types.h>
#include <stdio.h>
#include "AceTime.h"
#include "downlink/UnpackedDddHeader.h"

#include "UnpackDddHeader.h"
#include "ace/cvtFromSec1996.h"
#include "ace/cvtToSec1996_yd_0.h"

void DumpDddHeader(u_char *DddHeader)
{
               u_int csec;
              double day;
   UnpackedDddHeader header;
               u_int sec;
              u_long Second1996;
      struct AceTime time;

   UnpackDddHeader(DddHeader, &header);
   csec = header.TimeOfDay % 100;
   sec = header.TimeOfDay / 100;
   day = ((double) header.DayOfYear) + ((double) sec) / 86400.0;
   Second1996 = cvtToSec1996_yd_0((long) header.year, day); 
   time = cvtFromSec1996(Second1996);
   printf("DDD HEADER - ");
   printf("%2.2ld/%2.2ld/%2.2ld %2.2ld:%2.2ld:%2.2ld.%2.2u", time.year,
            time.month, time.day, time.hour, time.min, time.sec, csec);
   printf("       %d Block Serial Number\n", header.BlockSerialNumber);
   printf("%d Total Block Length", header.TotalBlockLength);
   printf("     %d Virtual Steam Id", header.VirtualStreamId);
   printf("     %d Grade of Service\n", header.GradeOfService);
   printf("%2.2d.%2.2d %d Destination Facility & Assembly",
                                        header.destination.facility,
                                        header.destination.subfacility,
                                        header.destination.assembly);
   printf("       %2.2d.%2.2d %d Source Facility & Assembly\n",
                                             header.source.facility,
                                             header.source.subfacility,
                                             header.source.assembly);
   printf("%d Spacecraft ID", header.stream.SpacecraftId);
   printf("      %d Data Type", header.stream.DataType);
   printf("      %d Data Nature", header.stream.DataNature);
   printf("      %d Protocol\n", header.protocol);
}
