/* $Id: DumpPacketHeader.c,v 1.1 1998/01/26 06:26:06 rgr Exp $ */

/* $RCSfile: DumpPacketHeader.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/01/26 06:26:06 $ */
/* $Revision: 1.1 $ */

#include <sys/types.h>
#include <stdio.h>
#include "downlink/UnpackedPacketHeader.h"

#include "UnpackPacketHeader.h"

void DumpPacketHeader(u_char *PacketHeader)
{
   UnpackedPacketHeader header;

   UnpackPacketHeader(PacketHeader, &header);
   printf("PACKET HEADER - %u Version No.", header.VersionNumber);
   printf("    %u Secondary Header Flag",
                                     header.PacketSecondaryHeaderFlag);
   printf("    %u Packet Length\n", header.PacketLength);
   printf("%u Type Indicator", header.TypeIndicator);
   printf("     %u Application Process Identifier",
                                  header.ApplicationProcessIdentifier);
   printf("     %u Group Flags\n", header.GroupFlags);
   printf("%u Source Sequence Count", header.SourceSequenceCount);
   printf("     %u Packet Secondary Header\n",
                                         header.PacketSecondaryHeader);
}
