/* $Id: Lv0ToGse.c,v 1.2 1998/02/20 15:46:52 rgr Exp $ */

/* $RCSfile: Lv0ToGse.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/02/20 15:46:52 $ */
/* $Revision: 1.2 $ */

#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>
#include <memory.h>

#include "hdfi.h"
#include "AceConstants.h"
#include "downlink/AceBlock.h"

#include "init_ACEancillary.h"
#include "FillAceHeader.h"

void main(int argc, char *argv[])
{
                  char AncillaryFile[129];
              AceBlock block[64];
                u_char *BlockPointer;
                 u_int DataOffset;
                  long i;
                u_char Lv0Buf[854*64];
                  long nread;
                   int nrec;
                 u_int NumberSelectedGroups;
                 u_int SelectedOption;

   strcpy(AncillaryFile, getenv("ACE_DATA"));
   strcat(AncillaryFile, "/AceAncillaryData");
   init_ACEancillary(AncillaryFile);  

   fread(Lv0Buf, 1, 40, stdin);
  
   SelectedOption = Lv0Buf[38];
   NumberSelectedGroups = Lv0Buf[39];

   if ((SelectedOption != 2) && (SelectedOption !=3)) {
      printf("Lv0CrisExtract - Selected option is not valid: %d\n",
             SelectedOption);
      exit(0);
   }
   DataOffset = 0;
   if (SelectedOption == 2) DataOffset = 46 + 2*NumberSelectedGroups;
   if (SelectedOption == 3) DataOffset = 46 + 4*NumberSelectedGroups;
   fread(Lv0Buf, 1, DataOffset-40, stdin);

   BlockPointer = (u_char *) block;
   memset(BlockPointer, 0, ACE_BLOCK_LENGTH * 64);

   while ((nread = fread(Lv0Buf, 1, (854 * 64), stdin)) > 0) {
      nrec = 0;
      for (i=0; i+853 < nread; i+=854) {
         memcpy(BlockPointer + ((nrec * ACE_BLOCK_LENGTH) + 134),
                                                        Lv0Buf+i, 854);
         FillAceHeader(block + nrec);
         nrec++;
      }
      fwrite(block, sizeof(AceBlock), nrec, stdout);
      if (nrec < 64) break;
   }
}
