/* $Id: DumpMinorFrameHeader.c,v 1.1 1998/01/26 06:25:57 rgr Exp $ */

/* $RCSfile: DumpMinorFrameHeader.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/01/26 06:25:57 $ */
/* $Revision: 1.1 $ */

#include <sys/types.h>
#include <stdio.h>
#include "downlink/UnpackedMinorFrameHeader.h"

#include "UnpackMinorFrameHeader.h"

void DumpMinorFrameHeader(u_char *MinorFrameHeader)
{
   UnpackedMinorFrameHeader header;

   UnpackMinorFrameHeader(MinorFrameHeader, &header);
   printf("MINOR FRAME HEADER - %u Major Frame Count",
                                              header.MajorFrameCount);
   printf("     %u Minor Frame Count\n", header.MinorFrameCount);
   printf("%u Collection Format", header.CollectionFormat);
   printf("     %u C&DH ID", header.CdhId);
   printf("     %u Sun Sensor ID Bits", header.SunSensorIdBits);
   printf("     %u Format ID\n", header.FormatId);
}
