/* $Id: DumpSfduLabel.c,v 1.1 1998/01/26 06:26:16 rgr Exp $ */

/* $RCSfile: DumpSfduLabel.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/01/26 06:26:16 $ */
/* $Revision: 1.1 $ */

#include <sys/types.h>
#include <stdio.h>
#include "downlink/UnpackedSfduLabel.h"

#include "UnpackSfduLabel.h"

void DumpSfduLabel(u_char *SfduLabel)
{
   UnpackedSfduLabel label;

   UnpackSfduLabel(SfduLabel, &label);
   printf("SFDU LABEL - %c%c%c%c Control Authority Identifier",
                                  label.ControlAuthorityIdentifier[0],
                                  label.ControlAuthorityIdentifier[1],
                                  label.ControlAuthorityIdentifier[2],
                                  label.ControlAuthorityIdentifier[3]);
   printf("     %c Version ID", label.VersionId);
   printf("     %c Class ID\n", label.ClassId);
   printf("%c%c%c%c Data Description Identifier",
                                   label.DataDescriptionIdentifier[0],
                                   label.DataDescriptionIdentifier[1],
                                   label.DataDescriptionIdentifier[2],
                                   label.DataDescriptionIdentifier[3]);
   printf("     %d Length Attribute\n", label.LengthAttribute);
}
