/* $Id: Lv0SisExtract.c,v 1.1 1998/02/20 15:45:28 rgr Exp $ */

/* $RCSfile: Lv0SisExtract.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/02/20 15:45:28 $ */
/* $Revision: 1.1 $ */

#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <memory.h>

#include "AceConstants.h"
#include "downlink/AceBlock.h"
#include "sis/L1SisSubset.h"

#include "init_ACEancillary.h"
#include "BuildL1SisSubset.h"
#include "FillAceHeader.h"
#include "sisPutData/putSisSubsetGroup.h"

void main(int argc, char *argv[])
{
                  char AncillaryFile[129];
              AceBlock block;
                u_char *BlockPointer;
                  FILE *fd;
                 u_int DataOffset;
                  long i;
                u_char Lv0Buf[854*64];
                   int NumberSubsets;
                   int nsub;
                  long nread;
                 u_int NumberSelectedGroups;
                 u_int SelectedOption;
    struct L1SisSubset subset[1001];

   strcpy(AncillaryFile, getenv("ACE_DATA"));
   strcat(AncillaryFile, "/AceAncillaryData");
   init_ACEancillary(AncillaryFile);  

   fd = fopen(argv[1], "rb");
   fread(Lv0Buf, 1, 40, fd);
  
   SelectedOption = Lv0Buf[38];
   NumberSelectedGroups = Lv0Buf[39];

   if ((SelectedOption != 2) && (SelectedOption !=3)) {
      printf("Lv0SisExtract - Selected option is not valid: %d\n",
             SelectedOption);
      exit(0);
   }
   DataOffset = 0;
   if (SelectedOption == 2) DataOffset = 46 + 2*NumberSelectedGroups;
   if (SelectedOption == 3) DataOffset = 46 + 4*NumberSelectedGroups;
   fread(Lv0Buf, 1, DataOffset-40, fd);

   memset(&block, 0, ACE_BLOCK_LENGTH);
   BlockPointer = (u_char *) &block;

   subset[1000].Second1996 = 0L;
   subset[1000].microsecond = 0L;
   subset[1000].ClockMinorFrame = 0L;
   NumberSubsets = 0;
   nsub = 0;
   while ((nread = fread(Lv0Buf, 1, (854 * 64), fd)) > 0) {
      for (i=0; i+853 < nread; i+=854) {
         memcpy(BlockPointer+134, Lv0Buf+i, 854);
         FillAceHeader(&block);
         BuildL1SisSubset(&block, subset + nsub);
         NumberSubsets++;
         nsub++;
         if (nsub == 1000) {
            putSisSubsetGroup(subset);
            nsub = 0;
         }
      }
      if (i < (854 * 64)) break;
   }
   if (nsub > 0) {
      subset[nsub].Second1996 = 0L;
      subset[nsub].microsecond = 0L;
      subset[nsub].ClockMinorFrame = 0L;
      putSisSubsetGroup(subset);
      printf("Number of subsets written: %d\n", NumberSubsets);
   }
}
